package com.hb.util;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Locale;

public class DateUtil {

    public static String buildAlarmMsgCode() {
        return "A" + getDateTime("yyyyMMddHHmmssSSS");
    }

    public static String buildNoticeMsgCode() {
        return "N" + getDateTime("yyyyMMddHHmmssSSS");
    }

    public static String getDateTime(String timeFmt) {
        LocalDateTime dateTime = LocalDateTime.now();
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern(timeFmt, Locale.CHINA);
        return dateTime.format(formatter);
    }

    public static String getDateTime() {
        return getDateTime("yyyy-MM-dd HH:mm:ss");
    }
}
